HealthControllerIsAlive Method |
GET /Health/IsAlive/
Gets an empty
OK result to indicate that the Dundas BI application is running.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("IsAlive")]
public IActionResult IsAlive()<HttpGetAttribute>
<ActionNameAttribute("IsAlive")>
Public Function IsAlive As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"IsAlive")]
IActionResult^ IsAlive()
[<HttpGetAttribute>]
[<ActionNameAttribute("IsAlive")>]
member IsAlive : unit -> IActionResult
Return Value
Type:
IActionResult
A
OK status indicating success; otherwise,
ServiceUnavailable with
an explanatory message in the response body.
Remarks
A
ServiceUnavailable response status code will be returned if a connection to the application database could
not be established.
See Also